## r-cran-jsonld 2.2%2Bdfsg

=== DESCRIPTION ===
Package: jsonld
Type: Package
Title: JSON for Linking Data
Version: 2.2
Authors@R: c(
    person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
      comment = c(ORCID = "0000-0002-4035-0289")),
    person("rOpenSci", role = "fnd", comment = "https://ropensci.org"))
Description: JSON-LD is a light-weight syntax for expressing linked data. It is primarily
    intended for web-based programming environments, interoperable web services and for 
    storing linked data in JSON-based databases. This package provides bindings to the 
    JavaScript library for converting, expanding and compacting JSON-LD documents.
License: BSD_3_clause + file LICENSE
URL: https://docs.ropensci.org/jsonld,
        https://github.com/ropensci/jsonld#readme (devel)
        https://www.w3.org/TR/json-ld (spec)
BugReports: https://github.com/ropensci/jsonld/issues
Imports: V8, jsonlite, curl (>= 2.7)
RoxygenNote: 5.0.1.9000
Suggests: spelling
Language: en-US
NeedsCompilation: no
Packaged: 2020-05-27 06:54:41 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
  rOpenSci [fnd] (https://ropensci.org)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2020-05-27 07:20:03 UTC

## r-cran-jsonld 2.0+dfsg

=== debian/changelog ===
r-cran-jsonld (2.0+dfsg-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 08:58:40 +0200

r-cran-jsonld (2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898224)

 -- Andreas Tille <tille@debian.org>  Sat, 12 May 2018 23:04:34 +0200

=== debian/control ===
Source: r-cran-jsonld
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-v8,
               r-cran-jsonlite,
               r-cran-curl (>= 2.7)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonld
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonld.git
Homepage: https://cran.r-project.org/package=jsonld

Package: r-cran-jsonld
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R JSON for linking data
 JSON-LD is a light-weight syntax for expressing linked data. It is
 primarily intended for web-based programming environments, interoperable
 web services and for storing linked data in JSON-based databases. This
 package provides bindings to the JavaScript library for converting,
 expanding and compacting JSON-LD documents.

## r-cran-jsonld 2.1+dfsg

=== debian/changelog ===
r-cran-jsonld (2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove empty debian/tests/control

 -- Dylan Aïssi <daissi@debian.org>  Tue, 12 Feb 2019 08:06:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-v8,
                r-cran-jsonlite,
                r-cran-curl (>= 2.7)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonld
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonld.git
 Homepage: https://cran.r-project.org/package=jsonld

=== debian/rules ===
#!/usr/bin/make -f

# These definitions can be removed once #842092 is fixed
include /usr/share/dpkg/default.mk
debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library
debRlib         := $(CURDIR)/debian/$(package)/$(debRdir)

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	cp -a debian/JS/jsonld.min.js inst/js/jsonld.min.js
	dh_auto_install

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/jsonld_([-\d.]*)\.tar\.gz

## r-cran-jsonld 2.2+dfsg

=== debian/changelog ===
r-cran-jsonld (2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Jul 2020 14:45:43 +0200

r-cran-jsonld (2.1+dfsg-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ Andreas Tille ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-v8,
                r-cran-jsonlite,
                r-cran-curl (>= 2.7)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonld
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonld.git
 Homepage: https://cran.r-project.org/package=jsonld
+Rules-Requires-Root: no
 
 Package: r-cran-jsonld
 Architecture: all

## r-cran-jsonld 2.2.1+dfsg

=== DESCRIPTION ===
Package: jsonld
Type: Package
Title: JSON for Linking Data
Version: 2.2.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: JSON-LD <https://www.w3.org/TR/json-ld/> is a light-weight syntax for 
    expressing linked data. It is primarily intended for web-based programming
    environments, interoperable web services and for storing linked data in 
    JSON-based databases. This package provides bindings to the JavaScript 
    library for converting, expanding and compacting JSON-LD documents.
License: BSD_3_clause + file LICENSE
URL: https://docs.ropensci.org/jsonld/,
        https://ropensci.r-universe.dev/jsonld
BugReports: https://github.com/ropensci/jsonld/issues
Imports: V8, jsonlite, curl (>= 2.7)
RoxygenNote: 5.0.1.9000
Suggests: spelling
Language: en-US
NeedsCompilation: no
Packaged: 2024-10-03 14:12:58 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
Repository: CRAN
Date/Publication: 2024-10-04 12:00:05 UTC

=== debian/changelog ===
r-cran-jsonld (2.2.1+dfsg-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1048730
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Dec 2025 21:54:29 +0100

r-cran-jsonld (2.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Update lintian override info format in d/source/lintian-overrides on line 2.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Oct 2024 11:25:18 +0900

=== debian/control ===
Source: r-cran-jsonld
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-v8,
 r-cran-jsonlite,
 r-cran-curl,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jsonld
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jsonld.git
Homepage: https://cran.r-project.org/package=jsonld
Rules-Requires-Root: no

Package: r-cran-jsonld
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R JSON for linking data
 JSON-LD is a light-weight syntax for expressing linked data. It is
 primarily intended for web-based programming environments, interoperable
 web services and for storing linked data in JSON-based databases. This
 package provides bindings to the JavaScript library for converting,
 expanding and compacting JSON-LD documents.

=== debian/watch ===
Version: 5

Source: https://cran.r-project.org/src/contrib/
Matching-Pattern: jsonld_([-\d.]*)\.tar\.gz
Repack-Suffix: +dfsg
Dversion-Mangle: auto
